Get internal transactions by transaction ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].internal_tx_idStringThe unique ID for the internal transaction.
data[i].data.noteStringThe type of instruction, such as call, create, suicide, freezeBalanceV2ForEnergy, freezeBalanceV2ForBandwidth, or unfreezeBalanceV2ForBandwidth.
data[i].data.rejectedBooleanWhether the internal transaction failed during execution. true signifies failure.
data[i].block_timestampLongThe block timestamp. (Unit: millisecond)
data[i].to_addressStringThe recipient's address.
data[i].tx_idStringThe transaction hash of the parent transaction that initiated this internal transaction.
data[i].from_addressStringThe sender's address.
successBooleanWhether the API request was successful.
meta.atLongThe API response timestamp. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page.
Path Params
string
required

The unique ID for the parent transaction.

Query Params
boolean

Set to true to return only confirmed transactions; set to false (or omit) to return both confirmed and unconfirmed transactions. Note: Cannot be used simultaneously with only_unconfirmed.

boolean

Set to true to return only confirmed transactions; set to false (or omit) to return both confirmed and unconfirmed transactions. Note: Cannot be used simultaneously with only_confirmed.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json